## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond tests 1

%global forgeurl https://github.com/SALib/SALib

Name:           python-SALib
Version:        1.5.0
Release:        %autorelease
Summary:        Tools for global sensitivity analysis

%forgemeta

# SPDX
License:        MIT
URL:            https://salib.readthedocs.io
Source:         %{forgesource}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  git-core

%global _description %{expand:
Python implementations of commonly used sensitivity analysis methods. Useful in
systems modeling to calculate the effects of model inputs or exogenous factors
on outputs of interest.}

%description %_description

%package -n python3-salib
Summary:        %{summary}

%py_provides python3-SALib

%description -n python3-salib %_description

%pyproject_extras_subpkg -n python3-salib distributed

%prep
%forgeautosetup -p1 -S git

# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i 's/^([[:blank:]])(.*\bpytest-cov\b)/\1# \2/' pyproject.toml

# Make sure this is the last step in `%%prep` or hatch-vcs will yell
git add --all
git commit -m '[RPM]: Changes for %{version}'
git tag v%{version}

%generate_buildrequires
%pyproject_buildrequires -x distributed %{?with_tests:-x test}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l SALib

%check
%if %{with tests}
%pytest
%endif

%files -n python3-salib -f %{pyproject_files}
%doc CHANGELOG.md
%doc CITATION.cff
%doc CITATIONS.rst
%doc FAQ.md
%doc README-advanced.md
%doc README.rst
%{_bindir}/salib

%changelog
## START: Generated by rpmautospec
* Mon Apr 22 2024 Packit <hello@packit.dev> - 1.5.0-1
- Update to 1.5.0 upstream release
- Resolves: rhbz#2276504

* Thu Mar 21 2024 Sandro <devel@penguinpee.nl> - 1.4.8-3
- Add Packit config

* Thu Mar 21 2024 Sandro <devel@penguinpee.nl> - 1.4.8-2
- Migrate to SPDX license (no change)

* Thu Mar 21 2024 Sandro <devel@penguinpee.nl> - 1.4.8-1
- Update to 1.4.8 (RHBZ#2264777)
- Drop patches (merged upstream)
- Drop BRs on `dos2unix` and `file` (PR merged upstream)
- Amend %%files (FAQ.MD --> FAQ.md)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-22
- Assert that the .dist-info directory contains a license file
- Don’t package an extra copy of AUTHORS.rst outside the .dist-info
  directory

* Sat Oct 14 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-21
- Use the “forge” macros
- Incidentally, rename the source archive, which was inconsistent with the
  name of the extracted directory

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-20
- Update the URL
- The old URL redirects to this one

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-19
- Add CITATION.cff to the packaged documentation files

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-18
- Arrange doc files one-per-line

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-17
- Update and simplify the summary and description from upstream
- Don’t maintain a long list of algorithms that will become outdated

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-16
- Send a PR to fix bogus executable permissions

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-15
- Send a PR upstream for a useless shebang

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-14
- Correct ALL Windows/DOS encoded newlines
- Reference an upstream PR to standardize them

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-13
- Remove an obsolete sed-patch in the tests

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-12
- Drop SETUPTOOLS_SCM_PRETEND_VERSION

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-11
- Generate test dependencies from test extra

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-10
- Add a python3-salib+distributed metapackage

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-9
- Rename the binary RPM from python3-SALib to python3-salib
- Match the canonical project name, https://docs.fedoraproject.org/en-
  US/packaging-guidelines/Python/#_canonical_project_name
- Add %%py_provides for the old binary RPM name, which corresponds to the
  importable module name

* Fri Oct 13 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.4.7-7
- Drop manual Requires, no longer needed

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 28 2023 Python Maint <python-maint@redhat.com> - 1.4.7-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.4.7-1
- feat: update to 1.4.7 (fixes rhbz#2099926)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Python Maint <python-maint@redhat.com> - 1.4.5-3
- Rebuilt for Python 3.11

* Wed Feb 09 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.4.5-2
- chore: bump for branch

* Mon Feb 07 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.4.5-1
- feat: update to 1.4.5

* Mon Feb 07 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.4.4-5
- chore: use correct py3 macro

* Mon Feb 07 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.4.4-4
- feat: drop sphinx documentation

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 03 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.4.4-1
- update to 1.4.4
- Drop patch (merged upstream)

* Fri Sep 03 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.4.0.2-1
- Update to new release
- Use pyproject macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.11-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.3.11-6
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.11-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.3.11-3
- Explicitly BR setuptools

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.3.11-2
- Rebuilt for Python 3.9

* Wed Apr 22 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.3.11-1
- Update to new release

* Mon Mar 16 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.3.8-2
- Add patch to fix for python 3.9
- https://bugzilla.redhat.com/show_bug.cgi?id=1794093

* Sun Feb 16 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.3.8-1
- Update to latest release

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 1.3.7-3
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.3.7-2
- Rebuilt for Python 3.8

* Mon Aug 05 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.3.7-1
- Update to new release

* Tue Jan 29 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.1.3-1
- Initial build


## END: Generated by rpmautospec
